Skip to content
Start here

Delete waiting room

client.WaitingRooms.Delete(ctx, waitingRoomID, body) (*WaitingRoomDeleteResponse, error)
DELETE/zones/{zone_id}/waiting_rooms/{waiting_room_id}

Deletes a waiting room.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Waiting Rooms Write
ParametersExpand Collapse
waitingRoomID string
body WaitingRoomDeleteParams
ZoneID param.Field[string]

Identifier.

maxLength32
ReturnsExpand Collapse
type WaitingRoomDeleteResponse struct{…}
ID stringoptional

Delete waiting room

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/waiting_rooms"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  waitingRoom, err := client.WaitingRooms.Delete(
    context.TODO(),
    "699d98642c564d2e855e9661899b7252",
    waiting_rooms.WaitingRoomDeleteParams{
      ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", waitingRoom.ID)
}
{
  "result": {
    "id": "699d98642c564d2e855e9661899b7252"
  }
}
Returns Examples
{
  "result": {
    "id": "699d98642c564d2e855e9661899b7252"
  }
}